

#ifndef _MATHPLANNER_SETUP_H
#define _MATHPLANNER_SETUP_H

#include <qpixmap.h>
#include <qcolor.h>
#include <qfont.h>
#include <qobject.h>

class Preferences;
class config_file_reader;


class setup : private QObject {

Q_OBJECT

QPixmap bm1,bm2,bm3,bm4,bm5;
QColor co1,co2,co3,co4,co5;
QFont fontb,fonti,fontf,fonto;

class Preferences *Dialog;
class config_file_reader *Prefs;

public:
setup(QWidget *parent,config_file_reader *Prefs);
~setup();

void Show();
QString FontInfo(QFont);

private:
void Init();

private slots:

void Ok();
void ColorB();
void ColorI();
void ColorF();
void ColorO();
void ColorS();

void FontB();
void FontI();
void FontF();
void FontO();

};

#endif
















